Sada je: 20 ruj 2019, 04:26.
Diskusije usko vezane uz Ubuntu i srodne distribucije (Kubuntu, Xubuntu, Lubuntu, LinuxMint...)

Moderator/ica: Moderatori/ce

hej, imam verziju 14.4 i pokušala sam preko terminala napraviti update, međutim nije išlo. da pojasnim. željela bih najnoviju verziju 16.4. koristila sam ove naredbe:
cat etc/lsb-release
sudo apt update && sudo apt dist-upgrade
- kod ove naredbe kao rezultat mi je izbacilo 0 u svemu, u smislu da nisu potrebne nove nadogradnje
sudo do-release-upgrade -d
- tu je javilo da potrebna zavisnost nije instalirana 'apt(>=1.0.1ubuntu2.13)' :hmm
što to znači?

kako riješiti ovaj problem?
znam da postoje upute na drugoj temi za 16.4 verziju ali ja bih probala na ovaj način putem terminala
Postovi: 7
Postovi: 7
Pridružen/a: 14 lis 2016, 20:22
Podijelio/la zahvalu: 0 puta
Primio/la zahvalu: 0 puta
Spol: Ž
OS: ubuntu 14.04 lts
Pozdrav i dobrodošla! :welcome:
Nadogradnju možeš obaviti na nekoliko načina. Grafičko sučelje te točno upozorava na koju verziju će se nadograditi sustav, dok s terminalom to nije slučaj. To je problem jer trenutno je aktualna verzija 16.10, a ti želiš 16.04 LTS.
Uvijek je preporuka clean install, jer nadogradnjom je veća vjerojatnost problema. Ako već želiš, evo uputa (kopiraj jednu po jednu naredbu):
1.) osvježiti listu paketa i repoa, te instalirati posljednje nadogranje na 14.04:
Kod: Označi sve
sudo apt-get update && sudo apt-get upgrade


2.) nadograditi sustav (hoće li se nadograditi na 16.04 ili 16.10, to nisam siguran):
Kod: Označi sve
sudo apt-get dist-upgrade



Postoji i drugi način:
1.) instalacija upgrade-manager-core paketa (ako prethodno nije instaliran):
Kod: Označi sve
sudo apt-get install update-manager-core


2.) pokretanje nadogranje:
Kod: Označi sve
sudo do-release-upgrade -d



Ovo je osjetljiv proces, stoga pričekaj da se javi netko tko to često radi.

***
Edit by bertone
Abzeenth je napisao/la:Dobro onda. Baš me briga. Krepajte od offtopica.

jurastublic je napisao/la:Ovaj thread me podsjeća na krepanu mačku. Treba to pokupit lopatom i zakopat. Onda dezinficirati lopatu. :-D
Avatar
Moderator
Postovi: 5818
Moderator
Postovi: 5818
Pridružen/a: 25 ožu 2012, 14:29
Lokacija: ~/kauč
Podijelio/la zahvalu: 155 puta
Primio/la zahvalu: 250 puta
Spol: M
OS: Mint 17.3 Cimet
Pročitaj što preporučuje Ubuntu documetation. Klik! Ja sam nekada volio raditi upgrade sa alternate iso image-om, ali sada toga više nema.Barem koliko ja znam. Naravno,backup svega što ti se čini važnim, prije bilo kakve radnje. Javi kako je prošlo. ;)
Nema veće religije od istine!
Avatar
Postovi: 1989
Postovi: 1989
Pridružen/a: 05 tra 2008, 22:38
Lokacija: Zadar
Podijelio/la zahvalu: 26 puta
Primio/la zahvalu: 70 puta
Spol: M
OS: Debian
Backupiraj ako imaš nešto bitno u /home direktoriju na neku drugu particiju i/ili drugi disk.

Naredba do-release-upgrade -d updatea na development verziju, to ne želiš. Provjeri još u Ubuntu Software Centeru da ti je uključeno da provjerava samo za LTS verzije, Edit-Software Sources-Updates-Notify me of new Ubuntu version da je namješteno na "for long term support versions".

Kod: Označi sve
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install update-manager-core
do-release-upgrade
Avatar
Postovi: 2808
Postovi: 2808
Pridružen/a: 23 ruj 2013, 21:19
Podijelio/la zahvalu: 41 puta
Primio/la zahvalu: 177 puta
Spol: M
OS: Ubuntu 18.04 LTS
koga da slušam, čiji savjet?

još ništa nisam poduzela, osim što sam prebacila podatke na vanjski hard disk.
maloprije kad sam upalila komp, odmah me pitalo želim li update na novu verziju 16.4 i potvrdila sam, međutim zapelo je kod onog da 'zavisnost nije instalirana'.

*JH-IM - ja imam u system settings /software & updates označeno za novu ubuntu verziju 'for long term suppor versions'
-nisam to našla u software centru
Postovi: 7
Postovi: 7
Pridružen/a: 14 lis 2016, 20:22
Podijelio/la zahvalu: 0 puta
Primio/la zahvalu: 0 puta
Spol: Ž
OS: ubuntu 14.04 lts
mala bez morala je napisao/la:koga da slušam, čiji savjet?

još ništa nisam poduzela, osim što sam prebacila podatke na vanjski hard disk.
maloprije kad sam upalila komp, odmah me pitalo želim li update na novu verziju 16.4 i potvrdila sam, međutim zapelo je kod onog da 'zavisnost nije instalirana'.

*JH-IM - ja imam u system settings /software & updates označeno za novu ubuntu verziju 'for long term suppor versions'
-nisam to našla u software centru


Probaj sa komandama koje sam ti ja dao, ja tako radim kada poželim raditi online upgrade :) Očekuj da to potraje ovisno o brzini tvojeg Interneta i snazi tvojeg računala.
Avatar
Postovi: 2808
Postovi: 2808
Pridružen/a: 23 ruj 2013, 21:19
Podijelio/la zahvalu: 41 puta
Primio/la zahvalu: 177 puta
Spol: M
OS: Ubuntu 18.04 LTS

Na mreži
Trenutno korisnika/ca: / i 1 gost.